de.esprit.appsuite.nio.watcher

## Class PathTreeModelDriver<C extends ApplicationContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<C>
    - - de.esprit.appsuite.nio.watcher.PathTreeModelDriver<C>

- All Implemented Interfaces:
    ApplicationObject<C>, PathChangeEvent.Source, PathRegistrationEvent.Source, SimpleLogSupport, Dumpable, Resettable
  Direct Known Subclasses:
    LocalPathTreeModelDriver, RemotePathTreeModelDriver

      public abstract class PathTreeModelDriver<C extends ApplicationContext>
      extends AbstractApplicationObject<C>
      implements PathRegistrationEvent.Source, PathChangeEvent.Source, Resettable

  This class interfaces the `PathWatcher` with a `PathTreeModel`. It forwards the event notification from the underlying `PathWatcher` to the `PathTreeModel`.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathTreeModelDriver(C ctx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPathChangeListener(PathChangeEvent.Listener l)`
    `void` | `addPathRegistrationListener(PathRegistrationEvent.Listener l)`
    `protected void` | `firePathChangeEvent(PathChangeEvent e)`
    `protected void` | `firePathRegistrationEvent(PathRegistrationEvent e)`
    `abstract PathFilter` | `getPathFilter()`
    `abstract java.util.List<PathInfo>` | `loadChildren(PathInfo parent)`
    `void` | `removePathChangeListener(PathChangeEvent.Listener l)`
    `void` | `removePathRegistrationListener(PathRegistrationEvent.Listener l)`
    `abstract void` | `renamePath(java.nio.file.Path oldPath, java.nio.file.Path newPath)`
    `abstract void` | `setPathFilter(PathFilter filter)`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.common.type.Resettable

      `reset`

- - ### Constructor Detail

    - #### PathTreeModelDriver

          public PathTreeModelDriver(C ctx)

  - ### Method Detail

    - #### loadChildren

          public abstract java.util.List<PathInfo> loadChildren(PathInfo parent)

    - #### renamePath

          public abstract void renamePath(java.nio.file.Path oldPath,
                        java.nio.file.Path newPath)
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setPathFilter

          public abstract void setPathFilter(PathFilter filter)

    - #### getPathFilter

          public abstract PathFilter getPathFilter()

    - #### addPathChangeListener

          public final void addPathChangeListener(PathChangeEvent.Listener l)

      Specified by:
        `addPathChangeListener` in interface `PathChangeEvent.Source`

    - #### removePathChangeListener

          public final void removePathChangeListener(PathChangeEvent.Listener l)

      Specified by:
        `removePathChangeListener` in interface `PathChangeEvent.Source`

    - #### addPathRegistrationListener

          public final void addPathRegistrationListener(PathRegistrationEvent.Listener l)

      Specified by:
        `addPathRegistrationListener` in interface `PathRegistrationEvent.Source`

    - #### removePathRegistrationListener

          public final void removePathRegistrationListener(PathRegistrationEvent.Listener l)

      Specified by:
        `removePathRegistrationListener` in interface `PathRegistrationEvent.Source`

    - #### firePathChangeEvent

          protected void firePathChangeEvent(PathChangeEvent e)

    - #### firePathRegistrationEvent

          protected void firePathRegistrationEvent(PathRegistrationEvent e)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.